org.apache.fop.render.pdf.pdfbox

## Class PDFBoolean

- java.lang.Object
- - org.apache.fop.pdf.PDFObject
  - - org.apache.fop.render.pdf.pdfbox.PDFBoolean

- All Implemented Interfaces:
    org.apache.fop.pdf.PDFWritable

      public class PDFBoolean
      extends org.apache.fop.pdf.PDFObject

  Represents a boolean object.

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.pdf.PDFObject

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFBoolean(boolean value)` Main constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getValue()` Returns the boolean value
    `int` | `output(java.io.OutputStream stream)`

    - ### Methods inherited from class org.apache.fop.pdf.PDFObject

      `contentEquals, encode, encodeBinaryToHexString, encodeString, encodeText, formatObject, getChildren, getDocument, getDocumentSafely, getGeneration, getObjectID, getObjectNumber, getParent, hasObjectNumber, makeReference, outputInline, referencePDF, setDocument, setObjectNumber, setObjectNumber, setObjectNumber, setParent, supportsObjectStream, toPDF, toPDFString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFBoolean

          public PDFBoolean(boolean value)

      Main constructor.
      Parameters:
        `value` - the boolean value

  - ### Method Detail

    - #### getValue

          public boolean getValue()

      Returns the boolean value
      Returns:
        the boolean value

    - #### output

          public int output(java.io.OutputStream stream)
                     throws java.io.IOException

      Overrides:
        `output` in class `org.apache.fop.pdf.PDFObject`
      Throws:
        `java.io.IOException`

Copyright 2007-2025 The Apache Software Foundation. All Rights Reserved.